Index: tmp/org.txm.rcp/TXM.sh
===================================================================
--- tmp/org.txm.rcp/TXM.sh	(revision 1950)
+++ tmp/org.txm.rcp/TXM.sh	(revision 1951)
@@ -1,2 +0,0 @@
-#!/bin/bash
-./TXM -standalone
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java	(revision 1950)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java	(revision 1951)
@@ -675,11 +675,11 @@
 		//			e.printStackTrace();
 		//		}
 
-		// FIXME: old version
-		// enable/disable the compute button according to dirty state of the editor
-		if (this.computeButton != null && !this.computeButton.isDisposed()) {
-			this.computeButton.setEnabled(this.dirty && !this.getResult().isLocked());
-		}
+//		// FIXME: sometime the button is enable/disable when it should not
+//		// enable/disable the compute button according to dirty state of the editor
+//		if (this.computeButton != null && !this.computeButton.isDisposed()) {
+//			this.computeButton.setEnabled(this.dirty && !this.getResult().isLocked());
+//		}
 
 		firePropertyChange(IEditorPart.PROP_DIRTY);
 		CorporaView.refreshObject(this.result);
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/LabelField.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/LabelField.java	(revision 1950)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/LabelField.java	(revision 1951)
@@ -25,7 +25,7 @@
 		l.setAlignment(SWT.RIGHT);
 		l.setText(getWidgetLabel());
 		l.setToolTipText(getWidgetUsage());
-		GridData gd = new GridData(SWT.FILL, SWT.CENTER, true, false);
+		GridData gd = new GridData(SWT.FILL, SWT.CENTER, false, false);
 		gd.widthHint = 100;
 		l.setLayoutData(gd);
 	}
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/ParametersDialog.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/ParametersDialog.java	(revision 1950)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/ParametersDialog.java	(revision 1951)
@@ -1,6 +1,7 @@
 package org.txm.rcp.swt.widget.parameters;
 
 import java.io.File;
+import java.io.FileNotFoundException;
 import java.io.FileReader;
 import java.io.FileWriter;
 import java.io.IOException;
@@ -24,6 +25,7 @@
 import org.eclipse.swt.widgets.Composite;
 import org.eclipse.swt.widgets.Control;
 import org.eclipse.swt.widgets.Display;
+import org.eclipse.swt.widgets.FileDialog;
 import org.eclipse.swt.widgets.Label;
 import org.eclipse.swt.widgets.Shell;
 import org.kohsuke.args4j.CmdLineParser;
@@ -100,6 +102,13 @@
 
 		propFile = new File(currentRootDir, this.script.replace(".", "/")+".properties");
 
+		loadDefaultValuesFromPropFile();
+
+		
+	}
+
+
+	private void loadDefaultValuesFromPropFile() {
 		if (propFile.exists()) {
 			try {
 				defaultValues.load(new FileReader(propFile));
@@ -109,49 +118,49 @@
 				Log.printStackTrace(e);
 			}
 		}
-
-		//initialize the script defautl values
-		for (NamedOptionDef option : this.parameters) {
-			String widgetName = option.widget();
-			String stringValue = option.def();
-			Object value = null;
-			if ("File".equals(widgetName) || "FileOpen".equals(widgetName)) { //$NON-NLS-1$
-				value = new File(stringValue);
-			} else if ("CreateFile".equals(widgetName) || "FileSave".equals(widgetName)) { //$NON-NLS-1$
-				value = new File(stringValue);
-			} else if ("Folder".equals(widgetName)) { //$NON-NLS-1$
-				value = new File(stringValue);
-			} else if ("Query".equals(widgetName)) { //$NON-NLS-1$
-				value = new CQLQuery(stringValue);
-			} else if ("Date".equals(widgetName)) { //$NON-NLS-1$
-				try {
-					value = DateField.formater.parse(stringValue);
-				} catch (ParseException e) {
-					Log.severe("Wrong default date format: "+stringValue+". Waiting for: "+DateField.STRINGFORMAT+". Error = "+e + ".");
-					value = new Date();
+		
+		//initialize the script default values
+				for (NamedOptionDef option : this.parameters) {
+					String widgetName = option.widget();
+					String stringValue = option.def();
+					Object value = null;
+					if ("File".equals(widgetName) || "FileOpen".equals(widgetName)) { //$NON-NLS-1$
+						value = new File(stringValue);
+					} else if ("CreateFile".equals(widgetName) || "FileSave".equals(widgetName)) { //$NON-NLS-1$
+						value = new File(stringValue);
+					} else if ("Folder".equals(widgetName)) { //$NON-NLS-1$
+						value = new File(stringValue);
+					} else if ("Query".equals(widgetName)) { //$NON-NLS-1$
+						value = new CQLQuery(stringValue);
+					} else if ("Date".equals(widgetName)) { //$NON-NLS-1$
+						try {
+							value = DateField.formater.parse(stringValue);
+						} catch (ParseException e) {
+							Log.severe("Wrong default date format: "+stringValue+". Waiting for: "+DateField.STRINGFORMAT+". Error = "+e + ".");
+							value = new Date();
+						}
+					}  else if ("Time".equals(widgetName)) { //$NON-NLS-1$
+						value = Integer.parseInt(stringValue);
+					} else if ("String".equals(widgetName)) { //$NON-NLS-1$
+						value = stringValue;
+					} else if ("StringArray".equals(widgetName)) { //$NON-NLS-1$
+						value = stringValue;
+					} else if ("StringArrayMultiple".equals(widgetName)) { //$NON-NLS-1$
+						value = stringValue;
+					} else if ("StructuralUnits".equals(widgetName)) { //$NON-NLS-1$
+						value = stringValue;
+					} else if ("Text".equals(widgetName)) { //$NON-NLS-1$
+						value = stringValue;
+					} else if ("Integer".equals(widgetName)) { //$NON-NLS-1$
+						value = Integer.parseInt(stringValue);
+					} else if ("Float".equals(widgetName)) { //$NON-NLS-1$
+						value = Float.parseFloat(stringValue);
+					} else if ("Boolean".equals(widgetName)) { //$NON-NLS-1$
+						value = Boolean.parseBoolean(stringValue);
+					} else {
+						System.out.println(TXMUIMessages.unknowedWidgetNameColon+widgetName+TXMUIMessages.FileTreeContentProvider_4);
+					}
 				}
-			}  else if ("Time".equals(widgetName)) { //$NON-NLS-1$
-				value = Integer.parseInt(stringValue);
-			} else if ("String".equals(widgetName)) { //$NON-NLS-1$
-				value = stringValue;
-			} else if ("StringArray".equals(widgetName)) { //$NON-NLS-1$
-				value = stringValue;
-			} else if ("StringArrayMultiple".equals(widgetName)) { //$NON-NLS-1$
-				value = stringValue;
-			} else if ("StructuralUnits".equals(widgetName)) { //$NON-NLS-1$
-				value = stringValue;
-			} else if ("Text".equals(widgetName)) { //$NON-NLS-1$
-				value = stringValue;
-			} else if ("Integer".equals(widgetName)) { //$NON-NLS-1$
-				value = Integer.parseInt(stringValue);
-			} else if ("Float".equals(widgetName)) { //$NON-NLS-1$
-				value = Float.parseFloat(stringValue);
-			} else if ("Boolean".equals(widgetName)) { //$NON-NLS-1$
-				value = Boolean.parseBoolean(stringValue);
-			} else {
-				System.out.println(TXMUIMessages.unknowedWidgetNameColon+widgetName+TXMUIMessages.FileTreeContentProvider_4);
-			}
-		}
 	}
 
 
@@ -169,6 +178,25 @@
 
 	protected void createButtonsForButtonBar(Composite parent) {
 		//create the reset button (hack of the Back button)
+		Button propButton = createButton(parent, IDialogConstants.BACK_ID,
+				"...", false);
+		propButton.removeListener(SWT.Selection, propButton.getListeners(SWT.Selection)[0]);
+
+		propButton.addSelectionListener(new SelectionAdapter() {
+			@Override
+			public void widgetSelected(SelectionEvent e) {
+				FileDialog dialog = new FileDialog(e.display.getActiveShell());
+				dialog.setFilterPath(propFile.getParent());
+				dialog.setFilterExtensions(new String[] {"*.properties"});
+				dialog.setFileName(propFile.getName());
+				String path = dialog.open();
+				if (path != null) {
+					propFile = new File(path);
+					loadDefaultValuesFromPropFile();
+				}
+			}
+		});
+		
 		Button button = createButton(parent, IDialogConstants.BACK_ID,
 				"Reset values", false);
 		button.removeListener(SWT.Selection, button.getListeners(SWT.Selection)[0]);
Index: tmp/org.txm.rcp/rcpapplication.product
===================================================================
--- tmp/org.txm.rcp/rcpapplication.product	(revision 1950)
+++ tmp/org.txm.rcp/rcpapplication.product	(revision 1951)
@@ -127,6 +127,7 @@
       <plugin id="org.apache.batik.css"/>
       <plugin id="org.apache.batik.util"/>
       <plugin id="org.apache.commons.jxpath"/>
+      <plugin id="org.apache.felix.gogo.command"/>
       <plugin id="org.apache.felix.gogo.runtime"/>
       <plugin id="org.apache.felix.gogo.shell"/>
       <plugin id="org.apache.felix.scr"/>
@@ -134,44 +135,98 @@
       <plugin id="org.apache.xml.resolver"/>
       <plugin id="org.apache.xml.serializer"/>
       <plugin id="org.eclipse.compare.core"/>
+      <plugin id="org.eclipse.compare.core.nl_fr" fragment="true"/>
       <plugin id="org.eclipse.core.commands"/>
+      <plugin id="org.eclipse.core.commands.nl_fr" fragment="true"/>
       <plugin id="org.eclipse.core.contenttype"/>
+      <plugin id="org.eclipse.core.contenttype.nl_fr" fragment="true"/>
       <plugin id="org.eclipse.core.databinding"/>
+      <plugin id="org.eclipse.core.databinding.nl_fr" fragment="true"/>
       <plugin id="org.eclipse.core.databinding.observable"/>
+      <plugin id="org.eclipse.core.databinding.observable.nl_fr" fragment="true"/>
       <plugin id="org.eclipse.core.databinding.property"/>
+      <plugin id="org.eclipse.core.databinding.property.nl_fr" fragment="true"/>
       <plugin id="org.eclipse.core.expressions"/>
+      <plugin id="org.eclipse.core.expressions.nl_fr" fragment="true"/>
       <plugin id="org.eclipse.core.filebuffers"/>
+      <plugin id="org.eclipse.core.filebuffers.nl_fr" fragment="true"/>
       <plugin id="org.eclipse.core.filesystem"/>
+      <plugin id="org.eclipse.core.filesystem.aix.ppc.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.core.filesystem.linux.x86.nl_fr" fragment="true"/>
       <plugin id="org.eclipse.core.filesystem.linux.x86_64" fragment="true"/>
+      <plugin id="org.eclipse.core.filesystem.linux.x86_64.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.core.filesystem.macosx.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.core.filesystem.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.core.filesystem.solaris.sparc.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.core.filesystem.win32.x86.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.core.filesystem.win32.x86_64.nl_fr" fragment="true"/>
       <plugin id="org.eclipse.core.jobs"/>
+      <plugin id="org.eclipse.core.jobs.nl_fr" fragment="true"/>
       <plugin id="org.eclipse.core.net"/>
+      <plugin id="org.eclipse.core.net.linux.x86.nl_fr" fragment="true"/>
       <plugin id="org.eclipse.core.net.linux.x86_64" fragment="true"/>
+      <plugin id="org.eclipse.core.net.linux.x86_64.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.core.net.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.core.net.win32.x86.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.core.net.win32.x86_64.nl_fr" fragment="true"/>
       <plugin id="org.eclipse.core.resources"/>
+      <plugin id="org.eclipse.core.resources.nl_fr" fragment="true"/>
       <plugin id="org.eclipse.core.runtime"/>
+      <plugin id="org.eclipse.core.runtime.nl_fr" fragment="true"/>
       <plugin id="org.eclipse.core.variables"/>
+      <plugin id="org.eclipse.core.variables.nl_fr" fragment="true"/>
       <plugin id="org.eclipse.e4.core.commands"/>
+      <plugin id="org.eclipse.e4.core.commands.nl_fr" fragment="true"/>
       <plugin id="org.eclipse.e4.core.contexts"/>
+      <plugin id="org.eclipse.e4.core.contexts.nl_fr" fragment="true"/>
       <plugin id="org.eclipse.e4.core.di"/>
       <plugin id="org.eclipse.e4.core.di.annotations"/>
+      <plugin id="org.eclipse.e4.core.di.annotations.nl_fr" fragment="true"/>
       <plugin id="org.eclipse.e4.core.di.extensions"/>
+      <plugin id="org.eclipse.e4.core.di.extensions.nl_fr" fragment="true"/>
       <plugin id="org.eclipse.e4.core.di.extensions.supplier"/>
+      <plugin id="org.eclipse.e4.core.di.extensions.supplier.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.e4.core.di.nl_fr" fragment="true"/>
       <plugin id="org.eclipse.e4.core.services"/>
+      <plugin id="org.eclipse.e4.core.services.nl_fr" fragment="true"/>
       <plugin id="org.eclipse.e4.emf.xpath"/>
+      <plugin id="org.eclipse.e4.emf.xpath.nl_fr" fragment="true"/>
       <plugin id="org.eclipse.e4.ui.bindings"/>
+      <plugin id="org.eclipse.e4.ui.bindings.nl_fr" fragment="true"/>
       <plugin id="org.eclipse.e4.ui.css.core"/>
+      <plugin id="org.eclipse.e4.ui.css.core.nl_fr" fragment="true"/>
       <plugin id="org.eclipse.e4.ui.css.swt"/>
+      <plugin id="org.eclipse.e4.ui.css.swt.nl_fr" fragment="true"/>
       <plugin id="org.eclipse.e4.ui.css.swt.theme"/>
+      <plugin id="org.eclipse.e4.ui.css.swt.theme.nl_fr" fragment="true"/>
       <plugin id="org.eclipse.e4.ui.di"/>
+      <plugin id="org.eclipse.e4.ui.di.nl_fr" fragment="true"/>
       <plugin id="org.eclipse.e4.ui.model.workbench"/>
+      <plugin id="org.eclipse.e4.ui.model.workbench.nl_fr" fragment="true"/>
       <plugin id="org.eclipse.e4.ui.services"/>
+      <plugin id="org.eclipse.e4.ui.services.nl_fr" fragment="true"/>
       <plugin id="org.eclipse.e4.ui.swt.gtk" fragment="true"/>
+      <plugin id="org.eclipse.e4.ui.swt.gtk.nl_fr" fragment="true"/>
       <plugin id="org.eclipse.e4.ui.widgets"/>
+      <plugin id="org.eclipse.e4.ui.widgets.nl_fr" fragment="true"/>
       <plugin id="org.eclipse.e4.ui.workbench"/>
       <plugin id="org.eclipse.e4.ui.workbench.addons.swt"/>
+      <plugin id="org.eclipse.e4.ui.workbench.addons.swt.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.e4.ui.workbench.nl_fr" fragment="true"/>
       <plugin id="org.eclipse.e4.ui.workbench.renderers.swt"/>
       <plugin id="org.eclipse.e4.ui.workbench.renderers.swt.cocoa" fragment="true"/>
+      <plugin id="org.eclipse.e4.ui.workbench.renderers.swt.cocoa.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.e4.ui.workbench.renderers.swt.nl_fr" fragment="true"/>
       <plugin id="org.eclipse.e4.ui.workbench.swt"/>
+      <plugin id="org.eclipse.e4.ui.workbench.swt.nl_fr" fragment="true"/>
       <plugin id="org.eclipse.e4.ui.workbench3"/>
+      <plugin id="org.eclipse.e4.ui.workbench3.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.ecf"/>
+      <plugin id="org.eclipse.ecf.filetransfer"/>
+      <plugin id="org.eclipse.ecf.identity"/>
+      <plugin id="org.eclipse.ecf.provider.filetransfer"/>
+      <plugin id="org.eclipse.ecf.provider.filetransfer.ssl" fragment="true"/>
+      <plugin id="org.eclipse.ecf.ssl" fragment="true"/>
       <plugin id="org.eclipse.emf.common"/>
       <plugin id="org.eclipse.emf.ecore"/>
       <plugin id="org.eclipse.emf.ecore.change"/>
@@ -181,25 +236,49 @@
       <plugin id="org.eclipse.equinox.common"/>
       <plugin id="org.eclipse.equinox.console"/>
       <plugin id="org.eclipse.equinox.ds"/>
+      <plugin id="org.eclipse.equinox.event"/>
       <plugin id="org.eclipse.equinox.frameworkadmin"/>
       <plugin id="org.eclipse.equinox.frameworkadmin.equinox"/>
+      <plugin id="org.eclipse.equinox.frameworkadmin.equinox.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.equinox.frameworkadmin.nl_fr" fragment="true"/>
       <plugin id="org.eclipse.equinox.p2.artifact.repository"/>
+      <plugin id="org.eclipse.equinox.p2.artifact.repository.nl_fr" fragment="true"/>
       <plugin id="org.eclipse.equinox.p2.core"/>
+      <plugin id="org.eclipse.equinox.p2.core.nl_fr" fragment="true"/>
       <plugin id="org.eclipse.equinox.p2.director"/>
+      <plugin id="org.eclipse.equinox.p2.director.nl_fr" fragment="true"/>
       <plugin id="org.eclipse.equinox.p2.discovery"/>
+      <plugin id="org.eclipse.equinox.p2.discovery.compatibility"/>
+      <plugin id="org.eclipse.equinox.p2.discovery.compatibility.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.equinox.p2.discovery.nl_fr" fragment="true"/>
       <plugin id="org.eclipse.equinox.p2.engine"/>
+      <plugin id="org.eclipse.equinox.p2.engine.nl_fr" fragment="true"/>
       <plugin id="org.eclipse.equinox.p2.garbagecollector"/>
+      <plugin id="org.eclipse.equinox.p2.garbagecollector.nl_fr" fragment="true"/>
       <plugin id="org.eclipse.equinox.p2.jarprocessor"/>
+      <plugin id="org.eclipse.equinox.p2.jarprocessor.nl_fr" fragment="true"/>
       <plugin id="org.eclipse.equinox.p2.metadata"/>
+      <plugin id="org.eclipse.equinox.p2.metadata.nl_fr" fragment="true"/>
       <plugin id="org.eclipse.equinox.p2.metadata.repository"/>
+      <plugin id="org.eclipse.equinox.p2.metadata.repository.nl_fr" fragment="true"/>
       <plugin id="org.eclipse.equinox.p2.operations"/>
+      <plugin id="org.eclipse.equinox.p2.operations.nl_fr" fragment="true"/>
       <plugin id="org.eclipse.equinox.p2.repository"/>
+      <plugin id="org.eclipse.equinox.p2.repository.nl_fr" fragment="true"/>
       <plugin id="org.eclipse.equinox.p2.touchpoint.eclipse"/>
+      <plugin id="org.eclipse.equinox.p2.touchpoint.eclipse.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.equinox.p2.transport.ecf"/>
+      <plugin id="org.eclipse.equinox.p2.transport.ecf.nl_fr" fragment="true"/>
       <plugin id="org.eclipse.equinox.p2.ui"/>
       <plugin id="org.eclipse.equinox.p2.ui.discovery"/>
+      <plugin id="org.eclipse.equinox.p2.ui.discovery.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.equinox.p2.ui.nl_fr" fragment="true"/>
       <plugin id="org.eclipse.equinox.p2.ui.sdk"/>
+      <plugin id="org.eclipse.equinox.p2.ui.sdk.nl_fr" fragment="true"/>
       <plugin id="org.eclipse.equinox.p2.ui.sdk.scheduler"/>
+      <plugin id="org.eclipse.equinox.p2.ui.sdk.scheduler.nl_fr" fragment="true"/>
       <plugin id="org.eclipse.equinox.p2.updatechecker"/>
+      <plugin id="org.eclipse.equinox.p2.updatechecker.nl_fr" fragment="true"/>
       <plugin id="org.eclipse.equinox.preferences"/>
       <plugin id="org.eclipse.equinox.region" fragment="true"/>
       <plugin id="org.eclipse.equinox.registry"/>
@@ -211,41 +290,74 @@
       <plugin id="org.eclipse.equinox.security.win32.x86_64" fragment="true"/>
       <plugin id="org.eclipse.equinox.simpleconfigurator"/>
       <plugin id="org.eclipse.equinox.simpleconfigurator.manipulator"/>
+      <plugin id="org.eclipse.equinox.simpleconfigurator.manipulator.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.equinox.simpleconfigurator.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.equinox.supplement"/>
       <plugin id="org.eclipse.equinox.transforms.hook" fragment="true"/>
+      <plugin id="org.eclipse.equinox.util"/>
       <plugin id="org.eclipse.equinox.weaving.hook" fragment="true"/>
       <plugin id="org.eclipse.help"/>
+      <plugin id="org.eclipse.help.nl_fr" fragment="true"/>
       <plugin id="org.eclipse.jface"/>
       <plugin id="org.eclipse.jface.databinding"/>
+      <plugin id="org.eclipse.jface.databinding.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.jface.nl_fr" fragment="true"/>
       <plugin id="org.eclipse.jface.text"/>
+      <plugin id="org.eclipse.jface.text.nl_fr" fragment="true"/>
       <plugin id="org.eclipse.osgi"/>
       <plugin id="org.eclipse.osgi.compatibility.state" fragment="true"/>
+      <plugin id="org.eclipse.osgi.compatibility.state.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.osgi.nl_fr" fragment="true"/>
       <plugin id="org.eclipse.osgi.services"/>
+      <plugin id="org.eclipse.osgi.services.nl_fr" fragment="true"/>
       <plugin id="org.eclipse.osgi.util"/>
+      <plugin id="org.eclipse.osgi.util.nl_fr" fragment="true"/>
       <plugin id="org.eclipse.pde.ds.lib"/>
+      <plugin id="org.eclipse.pde.ds.lib.nl_fr" fragment="true"/>
       <plugin id="org.eclipse.platform"/>
+      <plugin id="org.eclipse.platform.nl_fr" fragment="true"/>
       <plugin id="org.eclipse.swt"/>
       <plugin id="org.eclipse.swt.cocoa.macosx.x86_64" fragment="true"/>
       <plugin id="org.eclipse.swt.gtk.linux.ppc64" fragment="true"/>
       <plugin id="org.eclipse.swt.gtk.linux.ppc64le" fragment="true"/>
       <plugin id="org.eclipse.swt.gtk.linux.x86" fragment="true"/>
       <plugin id="org.eclipse.swt.gtk.linux.x86_64" fragment="true"/>
+      <plugin id="org.eclipse.swt.nl_fr" fragment="true"/>
       <plugin id="org.eclipse.swt.win32.win32.x86" fragment="true"/>
       <plugin id="org.eclipse.swt.win32.win32.x86_64" fragment="true"/>
       <plugin id="org.eclipse.text"/>
+      <plugin id="org.eclipse.text.nl_fr" fragment="true"/>
       <plugin id="org.eclipse.ui"/>
       <plugin id="org.eclipse.ui.browser"/>
+      <plugin id="org.eclipse.ui.browser.nl_fr" fragment="true"/>
       <plugin id="org.eclipse.ui.cocoa" fragment="true"/>
+      <plugin id="org.eclipse.ui.cocoa.nl_fr" fragment="true"/>
       <plugin id="org.eclipse.ui.console"/>
+      <plugin id="org.eclipse.ui.console.nl_fr" fragment="true"/>
       <plugin id="org.eclipse.ui.editors"/>
+      <plugin id="org.eclipse.ui.editors.nl_fr" fragment="true"/>
       <plugin id="org.eclipse.ui.forms"/>
+      <plugin id="org.eclipse.ui.forms.nl_fr" fragment="true"/>
       <plugin id="org.eclipse.ui.ide"/>
+      <plugin id="org.eclipse.ui.ide.nl_fr" fragment="true"/>
       <plugin id="org.eclipse.ui.intro"/>
+      <plugin id="org.eclipse.ui.intro.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.ui.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.ui.themes"/>
+      <plugin id="org.eclipse.ui.themes.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.ui.views"/>
+      <plugin id="org.eclipse.ui.views.nl_fr" fragment="true"/>
+      <plugin id="org.eclipse.ui.win32.nl_fr" fragment="true"/>
       <plugin id="org.eclipse.ui.workbench"/>
+      <plugin id="org.eclipse.ui.workbench.nl_fr" fragment="true"/>
       <plugin id="org.eclipse.ui.workbench.texteditor"/>
+      <plugin id="org.eclipse.ui.workbench.texteditor.nl_fr" fragment="true"/>
       <plugin id="org.sat4j.core"/>
       <plugin id="org.sat4j.pb"/>
       <plugin id="org.tukaani.xz"/>
+      <plugin id="org.txm.annotation.core"/>
       <plugin id="org.txm.core"/>
+      <plugin id="org.txm.groovy.core"/>
       <plugin id="org.txm.libs.args4j"/>
       <plugin id="org.txm.libs.batik"/>
       <plugin id="org.txm.libs.colt"/>
@@ -254,10 +366,15 @@
       <plugin id="org.txm.libs.cqp.macosx" fragment="true"/>
       <plugin id="org.txm.libs.cqp.win32" fragment="true"/>
       <plugin id="org.txm.libs.groovy-all"/>
+      <plugin id="org.txm.libs.hsqldb"/>
       <plugin id="org.txm.libs.itext"/>
+      <plugin id="org.txm.libs.msoffice"/>
+      <plugin id="org.txm.libs.office"/>
       <plugin id="org.txm.libs.rserve"/>
       <plugin id="org.txm.libs.saxon"/>
       <plugin id="org.txm.rcp"/>
+      <plugin id="org.txm.rcp.about.fragment" fragment="true"/>
+      <plugin id="org.txm.rcp.p2.ui" fragment="true"/>
       <plugin id="org.txm.searchengine.core"/>
       <plugin id="org.txm.searchengine.cqp.core"/>
       <plugin id="org.txm.statsengine.core"/>
@@ -266,7 +383,13 @@
       <plugin id="org.txm.statsengine.r.core.macosx" fragment="true"/>
       <plugin id="org.txm.statsengine.r.core.win32" fragment="true"/>
       <plugin id="org.txm.tokenizer.core"/>
+      <plugin id="org.txm.treetagger.core"/>
+      <plugin id="org.txm.treetagger.core.linux" fragment="true"/>
+      <plugin id="org.txm.treetagger.core.macosx" fragment="true"/>
+      <plugin id="org.txm.treetagger.core.models" fragment="true"/>
+      <plugin id="org.txm.treetagger.core.win32" fragment="true"/>
       <plugin id="org.txm.utils"/>
+      <plugin id="org.txm.utils.core"/>
       <plugin id="org.w3c.css.sac"/>
    </plugins>
 
